<?php
/**
 * Ce fichier contient l'action `recharger_config` lancée par un utilisateur pour
 * recharger, de façon sécurisée, la configuration statique de Territoires.
 */
if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

/**
 * Cette action permet à l'utilisateur de recharger en meta, de façon sécurisée,
 * la configuration statique du plugin.
 *
 * Cette action est réservée aux utilisateurs pouvant configurer le plugin
 * Elle ne nécessite aucun argument.
 *
 * @uses feed_charger()
 *
 * @return void
 */
function action_recharger_config_dist() : void {
	// Verification des autorisations : pour recharger les types de contrôle il suffit
	// d'avoir l'autorisation de configurer le plugin.
	if (!autoriser('configurer', '_territoires')) {
		include_spip('inc/minipres');
		echo minipres();
		exit();
	}

	// Rechargement de la configuration statique.
	include_spip('territoires_administrations');
	// -- Configuration statique du plugin Territoires
	$config_statique = territoires_configurer('statique');
	// -- Ecriture de la configuration
	territoires_adapter_config_statique($config_statique);
}
